Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Class BinaryExpressionPredicate

    java.lang.Object
      org.apache.openjpa.persistence.query.AbstractVisitable
          org.apache.openjpa.persistence.query.BinaryExpressionPredicate

All Implemented Interfaces:
  Serializable, Predicate, Visitable

Direct Known Subclasses:
  BetweenExpression, EqualExpression, GreaterEqualExpression, GreaterThanExpression, InExpression, LessEqualExpression, LessThanExpression, LikeExpression, MemberOfExpression, NotEqualExpression

     class BinaryExpressionPredicate

extends AbstractVisitable
implements Predicate, Visitable

Binary predicate combines two expressions with an operator.

Author:
  Pinaki Poddar

Field Summary
`protected Expression` | `_e1`
`protected Expression` | `_e2`
`protected BinaryConditionalOperator` | `_op`

Fields inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`CLOSE_BRACE, COMMA, EMPTY, OPEN_BRACE`

Constructor Summary
`BinaryExpressionPredicate(Expression e1, BinaryConditionalOperator op, BinaryConditionalOperator nop, Expression e2)`

Method Summary
`Predicate` | `and(Predicate predicate)` Creates an AND of the predicate with the argument.
`String` | `asExpression(AliasContext ctx)` Get a JPQL fragment as used in WHERE clause.
`(package private) String` | `asExpression(Visitable v, AliasContext ctx)`
`Expression` | `getOperand()`
`Expression` | `getOperand2()`
`BinaryConditionalOperator` | `getOperator()`
`Predicate` | `not()` Creates a negation of the predicate with the argument.
`Predicate` | `or(Predicate predicate)` Creates an OR of the predicate with the argument.

Methods inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`asJoinable, asProjection, getAliasHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.persistence.query.Visitable
`asJoinable, asProjection, getAliasHint`

Field Detail

### _e1

    protected final Expression _e1

### _e2

    protected final Expression _e2

### _op

    protected final BinaryConditionalOperator _op

Constructor Detail

### BinaryExpressionPredicate

    BinaryExpressionPredicate(Expression e1,
                              BinaryConditionalOperator op,
                              BinaryConditionalOperator nop,
                              Expression e2)

Method Detail

### getOperand

    public final Expression getOperand()

### getOperand2

    public final Expression getOperand2()

### getOperator

    public final BinaryConditionalOperator getOperator()

### and

    public Predicate and(Predicate predicate)

  Description copied from interface: `Predicate`
  Creates an AND of the predicate with the argument.

  Specified by:
    `and` in interface `Predicate`
  Parameters:
    `predicate` - - A simple or compound predicate
  Returns:
    the predicate that is the AND of the original simple or compound predicate and the argument.

### or

    public Predicate or(Predicate predicate)

  Description copied from interface: `Predicate`
  Creates an OR of the predicate with the argument.

  Specified by:
    `or` in interface `Predicate`
  Parameters:
    `predicate` - - A simple or compound predicate
  Returns:
    the predicate that is the OR of the original simple or compound predicate and the argument.

### not

    public Predicate not()

  Description copied from interface: `Predicate`
  Creates a negation of the predicate with the argument.

  Specified by:
    `not` in interface `Predicate`
  Returns:
    the predicate that is the negation of the original simple or compound predicate.

### asExpression

    public String asExpression(AliasContext ctx)

  Description copied from interface: `Visitable`
  Get a JPQL fragment as used in WHERE clause.

  Specified by:
    `asExpression` in interface `Visitable`
  Overrides:
    `asExpression` in class `AbstractVisitable`

### asExpression

    String asExpression(Visitable v,
                        AliasContext ctx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.